Package org.eclipse.debug.core.sourcelookup.containers

# Class AbstractSourceContainerTypeDelegate

java.lang.Object
org.eclipse.debug.core.sourcelookup.containers.AbstractSourceContainerTypeDelegate

All Implemented Interfaces:
  `ISourceContainerTypeDelegate`

public abstract class AbstractSourceContainerTypeDelegate extends Object implements ISourceContainerTypeDelegate
Common function for source container type delegates.

Clients implementing source container delegates should subclass this class.

Since:
  3.0

## Constructor Summary

Constructors
Constructor
Description
`AbstractSourceContainerTypeDelegate()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`abort(String message, Throwable exception)`
Throws an exception with the given message and underlying exception.
`protected Document`
`newDocument()`
Creates and returns a new XML document.
`protected Element`
`parseDocument(String document)`
Parses the given XML document, returning its root element.
`protected String`
`serializeDocument(Document document)`
Returns the given XML document as a string.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.core.sourcelookup.ISourceContainerTypeDelegate

`createSourceContainer, getMemento`

## Constructor Details

### AbstractSourceContainerTypeDelegate

public AbstractSourceContainerTypeDelegate()

## Method Details

### abort

protected void abort(String message, Throwable exception) throws CoreException
Throws an exception with the given message and underlying exception.

Parameters:
  `message` - error message
  `exception` - underlying exception, or `null`
Throws:
  `CoreException` - if a problem is encountered

### newDocument

protected Document newDocument() throws CoreException
Creates and returns a new XML document.

Returns:
  a new XML document
Throws:
  `CoreException` - if unable to create a new document

### serializeDocument

protected String serializeDocument(Document document) throws CoreException
Returns the given XML document as a string.

Parameters:
  `document` - document to serialize
Returns:
  the given XML document as a string
Throws:
  `CoreException` - if unable to serialize the document

### parseDocument

protected Element parseDocument(String document) throws CoreException
Parses the given XML document, returning its root element.

Parameters:
  `document` - XML document as a string
Returns:
  the document's root element
Throws:
  `CoreException` - if unable to parse the document